#pragma once
#include "afxwin.h"
#include "afxcolorbutton.h"


// CMenuMarkModeSetting_Dlg 对话框

class CMenuMarkModeSetting_Dlg : public CDialogEx
{
	DECLARE_DYNAMIC(CMenuMarkModeSetting_Dlg)

public:
	CMenuMarkModeSetting_Dlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CMenuMarkModeSetting_Dlg();
public:
	IAdvImageShowControl*  m_pControl;
public:
// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOG_MARK_MODE };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedCheckMode();
	virtual BOOL OnInitDialog();
	CButton m_btnEnable;
	CButton m_btnShow;
//	CMFCColorButton m_btnTextColor;
//	afx_msg void OnBnClickedButtonFont();
//	CString m_strFontText;
	CMFCColorButton m_btnSelect;
	CMFCColorButton m_btnOk;
	CMFCColorButton m_btnDie;
	CMFCColorButton m_btnWait;
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedCheckShow();
//	afx_msg void OnBnClickedMfccolorbuttonText();
	afx_msg void OnBnClickedMfccolorbuttonSelect();
	afx_msg void OnBnClickedMfccolorbuttonOk();
	afx_msg void OnBnClickedMfccolorbuttonDie();
	afx_msg void OnBnClickedMfccolorbuttonWait();
};
